package de.mlessmann.certassist.repositories;

import de.mlessmann.certassist.models.Certificate;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

@Repository
public interface CertificateRepository extends JpaRepository<Certificate, String> {

    Certificate findByFingerprintIs(String fingerprint);
}
