package de.mlessmann.certassist.web.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "Represents the private key of a certificate.")
public record PrivateKey(
        @JsonProperty
        @Schema(description = "The content of the private key as it would be in a .pem file.")
        String pemContent) {
}
